# The `mpib_sp_eeg` dataset

This is the readme of the `mpib_sp_eeg` dataset. The short dataset name results from these three facts:

- the data was collected at the Max Planck Institute for Human Development (MPIB)
- the behavioral task was the "Sampling Paradigm" (SP)
- the dataset's main neuroimaging modality is electroencephalography data (EEG)

The data was collected in 2019 at the MPIB in Berlin by Stefan Appelhoff and colleagues.

The data is organized according to the Brain Imaging Data Structure, see: https://bids.neuroimaging.io

The dataset is managed with datalad, see: http://handbook.datalad.org/en/latest/index.html

## Download

1. Install datalad (http://handbook.datalad.org/en/latest/intro/installation.html)
2. Run the code below from the shell:
    1. first "clone" the dataset
    2. then navigate to the root of the dataset
    3. then use `datalad get <file you want>` to get the file contents for each file you want
       (you can also use `datalad get . -r` to get everything at once, but this may take some time)

```shell
datalad clone https://gin.g-node.org/sappelhoff/mpib_sp_eeg
cd mpib_sp_eeg
datalad get participants.tsv
```

## Preprint

A preprint is available on BioRxiv.

- BioRxiv: https://doi.org/10.1101/2021.06.03.446960

## Experimental presentation code

The code used for the experimental presentation can be found on GitHub and Zenodo.

- GitHub: https://github.com/sappelhoff/sp_experiment
- Zenodo: https://doi.org/10.5281/zenodo.3354368

## Analysis code

The code used for data analysis can be found on GitHub and on Zenodo.

- GitHub: https://github.com/sappelhoff/sp_code
- Zenodo: https://doi.org/10.5281/zenodo.5929222

## Contact

- [Stefan Appelhoff](mailto:appelhoff@mpib-berlin.mpg.de)

## License

The `source_to_bids.py` script in the `code/` directory is licensed under the MIT license.

This data is made available under the Public Domain Dedication and License v1.0
whose full text can be found at: http://opendatacommons.org/licenses/pddl/1.0/

See also this human readable summary: https://opendatacommons.org/licenses/pddl/summary/

For details, please see the [LICENSE](LICENSE) file.

## Using this dataset

If you use this dataset in your work, please consider citing it as well as the main references describing it.

## Additional information

- The eyetracking recording for sub-18 in the ActiveVariable task is broken ("sub-18/eeg/sub-18_task-ActiveVariable_recording-eyetracking_physio.tsv.gz").
- The eyetracking recording for sub-15 in the YokedFixed task for unknown reasons has timing issues ("sub-15/eeg/sub-15_task-YokedFixed_recording-eyetracking_physio.tsv.gz").
- All bipolar channels (ECG, HEOG, VEOG) were recorded with a ground electrode placed 10cm away from the navel on the participant's right side of the belly.
- The following describes the approximate locations of the ECG, HEOG, and VEOG electrodes:
    - ECG- between the 5th and 6th rib on the left chest.
    - ECG+ in the middle of the upper chest
    - HEOG- 1cm from the left outer canthus
    - HEOG+ 1cm from the right outer canthus
    - VEOG- 2cm below the left eye
    - VEOG+ 1cm above the left eyebrow
